Subject: Re: [PATCH net-next v4] net/sock: Introduce trace_sk_data_ready()

From: Peilin Ye <[email-masked]>
Date: Thu, 13 Oct 2022 16:58:51 -0700

On Thu, Oct 13, 2022 at 12:43:29PM +0300, Leon Romanovsky wrote:
> On Wed, Oct 12, 2022 at 04:21:21PM -0700, Peilin Ye wrote:
> > From: Peilin Ye <[email-masked]>
> > 
> > As suggested by Cong, introduce a tracepoint for all ->sk_data_ready()
> > callback implementations.  For example:
> > 
> > <...>
> >   ksoftirqd/0-16  [000] ..s..  99.784482: sk_data_ready: family=10 protocol=58 func=sock_def_readable
> >   ksoftirqd/0-16  [000] ..s..  99.784819: sk_data_ready: family=10 protocol=58 func=sock_def_readable
> > <...>
> > 
> > Suggested-by: Cong Wang <[email-masked]>
> > Signed-off-by: Peilin Ye <[email-masked]>
> > ---
> > changes since v3:
> >   - Avoid using __func__ everywhere (Leon Romanovsky)
> >   - No need to trace iscsi_target_sk_data_ready() (Leon Romanovsky)
> 
> I meant no need both trace point and debug print and suggested to remove
> debug print.

Ah, I see.  I will clean up redundant debug prints in
iscsi_target_sk_data_ready(), rds_tcp_listen_data_ready() and
rds_tcp_data_ready() in separate patches.

Thanks,
Peilin Ye